--- old/usr/src/uts/common/io/ib/adapters/tavor/tavor_ioctl.c	Sun Jun 11 17:03:34 2017
+++ new/usr/src/uts/common/io/ib/adapters/tavor/tavor_ioctl.c	Sun Jun 11 17:03:34 2017
@@ -909,8 +909,6 @@
 	pkey_tbl = (ib_pkey_t *)kmem_zalloc(tbl_size * sizeof (ib_pkey_t),
 	    KM_SLEEP);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*sgid_tbl, *pkey_tbl))
-
 	/*
 	 * Setup the number of ports, then loop through all ports and
 	 * query properties of each.
@@ -999,8 +997,6 @@
 
 	TAVOR_TNF_ENTER(tavor_ioctl_loopback);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(lstate))
-
 	/*
 	 * Access to Tavor VTS ioctls is not allowed in "maintenance mode".
 	 */
@@ -1951,8 +1947,6 @@
 	/* Determine the bank setting from the address */
 	bank = addr & TAVOR_HW_FLASH_BANK_MASK;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(state->ts_fw_flashbank))
-
 	/*
 	 * If the bank is different from the currently set bank, we need to
 	 * change it.  Also, if an 'addr' of 0 is given, this allows the
@@ -2333,8 +2327,6 @@
 {
 	int i;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*lstate))
-
 	if (lstate->tls_tx.tlc_qp_hdl != NULL) {
 		(void) tavor_qp_free(lstate->tls_state,
 		    &lstate->tls_tx.tlc_qp_hdl, IBC_FREE_QP_AND_QPN, NULL,
@@ -2396,8 +2388,6 @@
 static int
 tavor_loopback_init(tavor_state_t *state, tavor_loopback_state_t *lstate)
 {
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*lstate))
-
 	lstate->tls_hca_hdl = (ibc_hca_hdl_t)state;
 	lstate->tls_status  = tavor_pd_alloc(lstate->tls_state,
 	    &lstate->tls_pd_hdl, TAVOR_NOSLEEP);
@@ -2462,8 +2452,6 @@
 tavor_loopback_alloc_mem(tavor_loopback_state_t *lstate,
     tavor_loopback_comm_t *comm, int sz)
 {
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*comm))
-
 	/* Allocate buffer of specified size */
 	comm->tlc_buf_sz = sz;
 	comm->tlc_buf	 = kmem_zalloc(sz, KM_NOSLEEP);
@@ -2481,8 +2469,6 @@
 	comm->tlc_status = tavor_mr_register(lstate->tls_state,
 	    lstate->tls_pd_hdl, &comm->tlc_memattr, &comm->tlc_mrhdl, NULL);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*comm->tlc_mrhdl))
-
 	comm->tlc_mrdesc.md_vaddr  = comm->tlc_mrhdl->mr_bindinfo.bi_addr;
 	comm->tlc_mrdesc.md_lkey   = comm->tlc_mrhdl->mr_lkey;
 	comm->tlc_mrdesc.md_rkey   = comm->tlc_mrhdl->mr_rkey;
@@ -2502,9 +2488,6 @@
 	uint32_t		i, real_size;
 	tavor_qp_info_t		qpinfo;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*comm))
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*lstate))
-
 	/* Allocate send and recv CQs */
 	for (i = 0; i < 2; i++) {
 		bzero(&comm->tlc_cq_attr, sizeof (ibt_cq_attr_t));
@@ -2550,9 +2533,6 @@
 tavor_loopback_modify_qp(tavor_loopback_state_t *lstate,
     tavor_loopback_comm_t *comm, uint_t qp_num)
 {
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*comm))
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*lstate))
-
 	/* Modify QP to INIT */
 	tavor_loopback_init_qp_info(lstate, comm);
 	comm->tlc_qp_info.qp_state = IBT_STATE_INIT;
@@ -2638,8 +2618,6 @@
 {
 	int	 ret;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*tx))
-
 	bzero(&tx->tlc_sgl, sizeof (ibt_wr_ds_t));
 	bzero(&tx->tlc_wr, sizeof (ibt_send_wr_t));
 
@@ -2675,8 +2653,6 @@
 tavor_loopback_poll_cq(tavor_loopback_state_t *lstate,
     tavor_loopback_comm_t *comm)
 {
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*comm))
-
 	comm->tlc_wc.wc_status	= 0;
 	comm->tlc_num_polled	= 0;
 	comm->tlc_status = tavor_cq_poll(lstate->tls_state,
